/*
 * USB wacom constants
 */

enum {
	Stack = 32 * 1024,

	/* HID class subclass protocol ids */
	PtrCSP		= 0x020103,	/* mouse.boot.hid */

	/* Requests */
	Getreport = 0x01,
	GetIdle	= 0x02,
	Getproto	= 0x03,
	Setreport	= 0x09,
	Setidle	= 0x0a,
	Setproto	= 0x0b,
};

int wacommain(Dev *d, int argc, char*argv[]);

enum{
	MaxPktLen	= 16,	/* bytes */
};

typedef struct Cinfo Cinfo;

struct Cinfo
{
	int vid;		/* usb vendor id */
	int did;		/* usb device/product id */
	int cid;		/* controller id assigned by us */
};

extern Cinfo wacominfo[];